Thank you very much for useless tutorial. Because no one need to create one part and save it independently and programaticaly. Because this method does not work when you need to save exisitng products with modified sub-assemblies and parts...oh shit!
@skotodushegubka Жыл бұрын
this is useless save macro, because it saves whole modified sub-assemblies and sub-parts of active product while all adequate engineers need in independant save.
@teguhhendrawan4779 Жыл бұрын
how to record macro to create a point using parameter f(x)?
@GM_ELECTRONICALS Жыл бұрын
I have to create macro to import the data fro Excel as tabulation I catia drafting sheet for this how to create macro
@spvids46 Жыл бұрын
Will you please attach pdf of drawing in the description or in pin comment?
@yog_vlogs5964 Жыл бұрын
Hi can you please show an example of a macro to create a hole on the face , and in a dialogue box catia should ask for the selection
@omidnajmabadi8134 Жыл бұрын
I have a 3D product which contains app 100 parts. How can I write macro to get all these individual parts to 2D drawing ?
@rohitkulkarni5640 Жыл бұрын
One corner is not matched. So it is not perfect. We need perfect method make again perfect video and share
@swimx4533 Жыл бұрын
NOT WORKING
@bankpostudy63402 жыл бұрын
Voice dal bhai tb views badega
@ShashikumarCmy2 жыл бұрын
Where do we get exact model IGS file?
@leili27362 жыл бұрын
Thanks for your sharing!😀
@obendrayadav30992 жыл бұрын
Good
@leili27362 жыл бұрын
Thank you for your sharing! This one I give up. I have not installed Excel.
@leili27362 жыл бұрын
Thank you for your sharing! Sub CATMain() Dim oSelection As Selection Set oSelection = CATIA.ActiveDocument.Selection Dim iCount Dim geoName As String geoName = Inputbox("please enter EXACT name of geometry to seatch for.") oSelection.Search "Name=" & geoName & "*, all" iCount = oSelection.Count msgbox "Number of shapes found:" & iCount For i = 1 To iCount CATIA.StartCommand "Center Graph" Next End Sub
@leili27362 жыл бұрын
Thank you for your sharing! Sub CATMain() On Error Resume Next Dim partDoc1 As PartDocument Set partDoc1 = CATIA.ActiveDocument If Err.Number <> 0 Then MsgBox "Active document is not a part document" End If Dim body1 As Body Set body1 = partDoc1.Part.Bodies.Item(1) Dim shapes1 As Shapes Set shapes1 = body1.Shapes shapecount = shapes1.Count Dim shape1 As Shape Dim skechShape As SketchBasedShape Dim count1 As Integer count1 = 0 for i = 1 To shapecount Set sketchShape = shapes1.Item(i) If Err.Number = 0 Then count1 = count + 1 End If Err.Clear Next MsgBox "Number of sketch based shapes is: " & count1 End Sub
@leili27362 жыл бұрын
Thank you for your sharing!
@leili27362 жыл бұрын
Thank you for your sharing! Sub CATMain() Dim productDocument1 As Document Set productDocument1 = CATIA.ActiveDocument Dim partRoot As Document Set partRoot = productDocument1.Part MsgBox "The density is " & partRoot.Density End Sub
@leili27362 жыл бұрын
Thank you for your sharing! Sub CATMain() Dim SelectedElement Set SelectedElement = CATIA.ActiveDocument.Selection On Error Resume Next Dim oSelElem Set oSelElem = SelectedElement.Item(1).Value Dim info Set info = oSelElem.Parent.Parent If Err.Number = 0 Then MsgBox "Parent Name = " & info.Name Else MsgBox "You must select an object to return the parent name" End If End Sub
@leili27362 жыл бұрын
Sub CATMain() Dim intA(3) As Integer Dim intB(3) As Integer Dim intC As Integer intA(1) = 1 intA(2) = 2 intA(3) = 3 intB(1) = 1 intB(2) = 2 intB(3) = 3 Dim i As Integer For i = 1 To 3 intC = DisplaySum(intA(i), intB(i)) MsgBox intC Next End Sub Function DisplaySum(ByVal int1 As Integer, ByVal int2 As Integer) As Integer DisplaySum = int1 + int2 End Function
@leili27362 жыл бұрын
Thank you for your sharing! Sub CATMain() Dim intA As Integer Dim intB As Integer Dim intC As Integer intA = 2 intB = 3 intC = intA + intB Dim strOutput As String strOutput = "The Sum is" & Str(intC) Dim response As Integer response = MsgBox("Do you want to display the sum?", vbYesNo, "Display Sum") If response = vbYes Then MsgBox strOutput End If End Sub
@leili27362 жыл бұрын
Thanks for your sharing. The bug is fixed
@leili27362 жыл бұрын
Thank you for your sharing. Sub CATMain() On Error Resume Next Dim fullname As String Dim oDoc As Document Dim oSTPDoc As PartDocument Dim oSel As Selection Dim oPart As Part Set oDoc = CATIA.ActiveDocument Do While CATIA.Documents.Count > 0 fullname = oDoc.fullname If Right(fullname, 8) = ".CATPart" Then fullname = Left(fullname, Len(fullname) - 8) ElseIf Right(fullname, 11) = ".CATProduct" Then Else: MsgBox "No valid Part or Product active" Exit Sub End If CATIA.ActiveDocument.ExportData fullname & ".stp", "stp" Set oSTPDoc = CATIA.Documents.Open(fullname & ".stp") oSTPDoc.Activate Set oSel = oSTPDoc.Selection oSel.Clear Set oPartDoc = CATIA.ActiveDocument Set oPart = oPartDoc.Part oSel.Add oPart.HybridBodies.Item("Geometrical Set.1") oSel.Delete CATIA.ActiveDocument.ExportData fullname & ".stl", "stl" CATIA.ActiveDocument.Close CATIA.FileSystem.DeleteFile(fullname & ".stp") CATIA.ActiveDocument.Close Set oDoc = CATIA.ActiveDocument Loop MsgBox "Program Completed!", ,"STL Export Utility" End Sub
@leili27362 жыл бұрын
Really good!
@kostia_mu3 жыл бұрын
I found exact the same code in Nick Weisenberger Manual on Catia VBA :) this Parent feature seems to be not the same as Catia Parent meaning.. i need a Parent of the Line (it is a Point) but this Macro names me a geometrical set which contains the line :(
@anarkiamusicmovie70363 жыл бұрын
No works..... Selection nothing.... xD
@brijeshpatel53443 жыл бұрын
Good
@zoyacle3 жыл бұрын
Catia is a Universe
@ardanaeng72333 жыл бұрын
how to make it back? the previous color?
@leili27362 жыл бұрын
reload or change the array's number
@narcoleone2 жыл бұрын
Hello, the exact numbers would be 0.2 - 0.2 and 0.4. I just used a rule of 3 to obtain the answer. The point is that if you take white colour as a sample, it would be 1 - 1 - 1, and in the Catia "colour sequence", it would be 255 - 255 - 255. So, using the colour sequence from Catia for the standard colour (blue-grey), which is 51 - 51 -102, you would obtain the final answer 0.2 - 0.2 - 0.4.
@xquenda032 жыл бұрын
@@narcoleone great!
@njm24381 Жыл бұрын
@Nacho Garcia-Aguirrebeitia is there code sample?
@defaultuser34403 жыл бұрын
Cool job, buddy )
@JW-kl2wd3 жыл бұрын
Hallo, thanks for the amazing video. I just used the same code here, but it does not work. What i actually wanna do, is to get the points x,y,z Points of a CATIA Part as an excell sheet. Can you please help me to find a solution!! Thanks in advance
@Hernan1981arg3 жыл бұрын
Hi! Good work! Can you please upload the code? Thanks a lot!
@ashwinkhairnar24933 жыл бұрын
Tutorial should be audio of instructor who can teach every step .(i.e. which command is used why . Dimensions, etc.. ) so learner can easily understand
@bachelorofengineering85703 жыл бұрын
Thank ad
@RapBer163 жыл бұрын
How can we export partname from excel? and also how can we change partname with excel?
@RapBer163 жыл бұрын
this is not working for xls.... plz help??
@leili27362 жыл бұрын
Sub CATMain() Dim productDocument1 As Document Set productDocument1 = CATIA.ActiveDocument 'Input box to select txt or xls Dim exportFormat As String exportFormat = Inputbox("Please choose format to export the tree as. Type either 'xls' or 'txt'") If exportFormat = "xls" OR exportFormat = "txt" Then 'Input box to enter name of file Dim partName As String partName = Inputbox("Please enter the file name.") 'Input box to enter file location Dim oLocation As String oLocation = "D:\MacroFiles\" productDocument1.ExportData oLocation & partName & "." &_ exportFormat, "txt" Else MsgBox "Did not enter txt or xls, Program Cancelled please retry macro" End If End Sub
@vijayprakash86664 жыл бұрын
Good evening sir.. Your vedio is so much useful sir. Thank you lot sir.. One day u will reach more viewers sir.. One help sir. Catia drawing table. With part no and name,,, etc.. How to export in excel sir.. Pls put vedio.. Or answer sir..
@vijayprakash86664 жыл бұрын
Good morning, Have a nice day, I saw your catia vedio. It has more helpful to students, thank you sir. Pls put more vedios sir, My humble request put vedio for catia drawing table export to excel. By using catia macro or some thing else. Pls can you help me sir
@mauricioruano4 жыл бұрын
Hello! Thanks for your tutos.. I was using them a lot. Also I was wondering if you would like to upload another one explaining how to autofill the Title block properly. Bcos I'm using the preset coding with some modification that works very well but only with the main top product, or just when a Part is the only one opened. I read a lot but I'm not programmer so it's freaking me out... If you can help me would be nice!
@mauricioruano4 жыл бұрын
Sub CATMain() Dim productDocument1 As Document Set productDocument1 = CATIA.ActiveDocument 'Input box to select txt or xls Dim exportFormat As String exportFormat = Inputbox ("Please choose format to export the tree as type either 'xls' or 'txt'") if exportFormat <> "xls" then if exportFormat <> "txt" then MsgBox "Did not enter txt or xls. Program cancelled, please retry macro" Else 'Input box to enter name of file Dim partName As String partName = Inputbox ("Please enter the file name.") 'Imput box to enter file location Dim oLocation As String oLocation = "C:\CATIA\V5R21\Macros\" productDocument1.ExportData oLocation & partName & "." & _ exportFormat, "txt" End if End if End Sub
@jayrajsonawane33814 жыл бұрын
Please can you make video on how to create program for micro
@dannguyen2114 жыл бұрын
Hello there, Thanks for the tutorial. It works great. Can you show me the command to add to the macro so that the screenshot is taken with banner (header)? I want the banner to show information like: file path directory, file name, date... Thank you. Your help is appreciated greatly. Dan
@kevinwalker14684 жыл бұрын
Amazing channel. You deserve more views. Go and take a look at smzeus . c o m!!! Loads of KZbin channels use the site to promote their videos.
@3dmechanicaldesign4 жыл бұрын
good animation 👍
@vigneshs21944 жыл бұрын
Hi sir I am 3rd year mechanical engineering student and I want to know about MEP course and it's scope and future growth and also I want to know about design course (cad or cae) which course I should do sir MEP or design in mechanical?
@mechanicaldesigninstitute54304 жыл бұрын
you decide on your interest as it depends on the interest both courses has their own value